Activity log for bug #981248

Date Who What changed Old value New value Message
2012-04-13 23:12:19 Chow Loong Jin attachment added evince-debdiff.patch https://bugs.launchpad.net/bugs/981248/+attachment/3062364/+files/evince-debdiff.patch
2012-04-13 23:12:19 Chow Loong Jin attachment added 12_smooth_scrolling.patch https://bugs.launchpad.net/bugs/981248/+attachment/3062365/+files/12_smooth_scrolling.patch
2012-04-13 23:12:19 Chow Loong Jin bug added bug
2012-04-14 00:53:47 Audrey Durand bug added subscriber Audrey Durand
2012-04-14 09:13:41 Chow Loong Jin attachment removed 12_smooth_scrolling.patch https://bugs.launchpad.net/ubuntu/+source/evince/+bug/981248/+attachment/3062365/+files/12_smooth_scrolling.patch
2012-04-14 09:13:42 Chow Loong Jin attachment removed evince-debdiff.patch https://bugs.launchpad.net/ubuntu/+source/evince/+bug/981248/+attachment/3062364/+files/evince-debdiff.patch
2012-04-14 09:14:20 Chow Loong Jin bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=674098
2012-04-14 09:14:20 Chow Loong Jin bug task added evince
2012-04-14 09:15:32 Chow Loong Jin attachment added 0001-Enable-GDK_SMOOTH_SCROLL-events-for-document-view.patch https://bugs.launchpad.net/ubuntu/+source/evince/+bug/981248/+attachment/3064233/+files/0001-Enable-GDK_SMOOTH_SCROLL-events-for-document-view.patch
2012-04-14 10:06:05 Chow Loong Jin attachment added evince-debdiff.patch https://bugs.launchpad.net/ubuntu/+source/evince/+bug/981248/+attachment/3064385/+files/evince-debdiff.patch
2012-04-14 10:18:59 Bug Watch Updater evince: status Unknown New
2012-04-14 10:18:59 Bug Watch Updater evince: importance Unknown Medium
2012-04-18 10:57:16 Sebastien Bacher evince (Ubuntu): importance Undecided Wishlist
2012-04-18 10:57:17 Sebastien Bacher evince (Ubuntu): status Confirmed Triaged
2012-04-19 21:51:20 Bryce Harrington description affects ubuntu/evince status confirmed subscribe ubuntu-sponsors Gtk+ 3.3.18 introduced smooth scrolling via the GDK_SCROLL_SMOOTH event, which is activated by default for most widgets, but opt-in for custom widgets that handle scroll events themselves. Attached is a patch and the corresponding debdiff for activating this smooth scrolling support for Evince's document view, complete with smooth zooming via Ctrl+scroll. The debdiff is targeted against precise-proposed. -- Kind regards, Loong Jin [Problem] <1-2 sentence summary of the issue> [Impact] <fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release> [Development Fix] <fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. > [Stable Fix] <fill me in by pointing out a minimal patch applicable to the stable version of the package.> [Text Case] <fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.> 1. 2. 3. Broken Behavior: Fixed Behavior: [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected.> [Original Report] affects ubuntu/evince   status confirmed   subscribe ubuntu-sponsors Gtk+ 3.3.18 introduced smooth scrolling via the GDK_SCROLL_SMOOTH event, which is activated by default for most widgets, but opt-in for custom widgets that handle scroll events themselves. Attached is a patch and the corresponding debdiff for activating this smooth scrolling support for Evince's document view, complete with smooth zooming via Ctrl+scroll. The debdiff is targeted against precise-proposed. -- Kind regards, Loong Jin
2012-04-19 21:51:24 Bryce Harrington summary Activate smooth scrolling in Evince Activate smooth scrolling in Evince [SRU]
2012-04-19 21:51:33 Bryce Harrington nominated for series Ubuntu Precise
2012-04-19 21:51:33 Bryce Harrington bug task added evince (Ubuntu Precise)
2012-04-19 21:51:33 Bryce Harrington nominated for series Ubuntu Q-series
2012-04-19 21:51:33 Bryce Harrington bug task added evince (Ubuntu Q-series)
2012-04-19 21:51:50 Bryce Harrington evince (Ubuntu Precise): status Triaged Incomplete
2012-04-19 21:51:55 Bryce Harrington evince (Ubuntu Precise): milestone precise-updates
2012-04-19 21:51:59 Bryce Harrington evince (Ubuntu Q-series): importance Undecided Wishlist
2012-04-19 21:52:01 Bryce Harrington evince (Ubuntu Q-series): status New Triaged
2012-04-19 22:27:06 Bryce Harrington evince (Ubuntu Q-series): status Triaged Incomplete
2012-04-19 22:27:57 Bryce Harrington removed subscriber Ubuntu Sponsors Team
2012-04-20 01:48:20 Chow Loong Jin description [Problem] <1-2 sentence summary of the issue> [Impact] <fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release> [Development Fix] <fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. > [Stable Fix] <fill me in by pointing out a minimal patch applicable to the stable version of the package.> [Text Case] <fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.> 1. 2. 3. Broken Behavior: Fixed Behavior: [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected.> [Original Report] affects ubuntu/evince   status confirmed   subscribe ubuntu-sponsors Gtk+ 3.3.18 introduced smooth scrolling via the GDK_SCROLL_SMOOTH event, which is activated by default for most widgets, but opt-in for custom widgets that handle scroll events themselves. Attached is a patch and the corresponding debdiff for activating this smooth scrolling support for Evince's document view, complete with smooth zooming via Ctrl+scroll. The debdiff is targeted against precise-proposed. -- Kind regards, Loong Jin [Problem] <1-2 sentence summary of the issue> [Impact] <fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release> [Development Fix] <fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. > [Stable Fix] <fill me in by pointing out a minimal patch applicable to the stable version of the package.> [Text Case] <fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.> 1. 2. 3. Broken Behavior: Fixed Behavior: [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected.> [Original Report] affects ubuntu/evince   status confirmed   subscribe ubuntu-sponsors Gtk+ 3.3.18 introduced smooth scrolling via the GDK_SCROLL_SMOOTH event, which is activated by default for most widgets, but opt-in for custom widgets that handle scroll events themselves. Attached is a patch and the corresponding debdiff for activating this smooth scrolling support for Evince's document view, complete with smooth zooming via Ctrl+scroll. The debdiff is targeted against precise-proposed. -- Kind regards, Loong Jin
2012-04-20 01:55:29 Chow Loong Jin description [Problem] <1-2 sentence summary of the issue> [Impact] <fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release> [Development Fix] <fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. > [Stable Fix] <fill me in by pointing out a minimal patch applicable to the stable version of the package.> [Text Case] <fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.> 1. 2. 3. Broken Behavior: Fixed Behavior: [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected.> [Original Report] affects ubuntu/evince   status confirmed   subscribe ubuntu-sponsors Gtk+ 3.3.18 introduced smooth scrolling via the GDK_SCROLL_SMOOTH event, which is activated by default for most widgets, but opt-in for custom widgets that handle scroll events themselves. Attached is a patch and the corresponding debdiff for activating this smooth scrolling support for Evince's document view, complete with smooth zooming via Ctrl+scroll. The debdiff is targeted against precise-proposed. -- Kind regards, Loong Jin [Problem] Gtk+ 3.3.18 introduced smooth scrolling via the GDK_SCROLL_SMOOTH event, which is activated by default for most widgets, but opt-in for custom widgets that handle scroll events themselves. Evince's document view is a custom widget that does not have GDK_SMOOTH_SCROLL_MASK in its enabled events mask, and as such does not benefit from this. This results in a rather jarring behaviour in scrolling experience from the rest of the Gtk3 applications using GtkScrolledWindow, and also from the scrolling experience in the thumbnail view. [Impact] This bug affects all touchpad users in Precise. Touchscreen users may also be affected. [Development Fix] Not fixed. [Stable Fix] Upstream patch is currently under review in the upstream bugtracker. Once that patch is accepted, I will update the debdiff. [Text Case] 1. Open a multipage document in Evince 2. Open the thumbnail view 3. Scroll in the thumbnail view using a touchpad's scroll implementation (circular, side scrolling, or two finger scrolling) 4. Notice that the scrolling is smooth, without the jerky behaviour present in Gtk2 applications and applications in previous Ubuntu releases. 5. Repeat #3 in the document view 6. Notice that scrolling is jerky, like the behaviour in previous releases. [Regression Potential] There isn't much regression potential, as the codepath for smooth scrolling in GtkScrolledWindow has already been activated by default for all Gtk3 applications and is well tested in Precise.
2012-04-27 15:29:50 Raphael Isemann bug added subscriber Raphael Isemann
2012-04-28 01:22:46 Mattthew Russell bug added subscriber Mattthew Russell
2012-07-08 13:23:43 Bence Lukács bug added subscriber Bence Lukács
2012-08-15 18:17:10 Chris Wilson bug added subscriber Chris Wilson
2012-09-11 09:30:27 Didier Roche tags rls-q-notfixing
2012-10-29 03:57:10 Rafael P. bug added subscriber Rafael P.
2014-05-04 11:20:34 Adolfo Jayme evince (Ubuntu): status Incomplete Fix Released
2014-05-04 11:20:40 Adolfo Jayme evince (Ubuntu Quantal): status Incomplete Won't Fix
2014-05-04 11:21:25 Adolfo Jayme evince (Ubuntu): milestone precise-updates
2014-05-05 08:48:55 Bug Watch Updater evince: status New Fix Released